Xerces2 Implementation: Class ByteListImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.util
Class ByteListImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.util.ByteListImpl

All Implemented Interfaces:
  org.apache.xerces.xs.datatypes.ByteList

public class ByteListImpl
extends java.lang.Object
implements org.apache.xerces.xs.datatypes.ByteList

Implementation of `org.apache.xerces.xs.datatypes.ByteList`.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: ByteListImpl.java 446747 2006-09-15 21:46:20Z mrglavas $
Author:
  Ankit Pasricha, IBM

Field Summary
`protected java.lang.String` | `canonical`
`protected byte[]` | `data`

Constructor Summary
`ByteListImpl(byte[] data)`

Method Summary
`boolean` | `contains(byte item)` Checks if the `byte` `item` is a member of this list.
`int` | `getLength()` The number of `byte`s in the list.
`byte` | `item(int index)` Returns the `index`th item in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected final byte[] data

### canonical

    protected java.lang.String canonical

Constructor Detail

### ByteListImpl

    public ByteListImpl(byte[] data)

Method Detail

### getLength

    public int getLength()

  The number of `byte`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.apache.xerces.xs.datatypes.ByteList`

### contains

    public boolean contains(byte item)

  Checks if the `byte` `item` is a member of this list.
  Specified by:
    `contains` in interface `org.apache.xerces.xs.datatypes.ByteList`
  Parameters:
    `item` - `byte` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `byte` `item`.

### item

    public byte item(int index)
              throws org.apache.xerces.xs.XSException

  Returns the `index`th item in the collection. The index starts at 0.
  Specified by:
    `item` in interface `org.apache.xerces.xs.datatypes.ByteList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `byte` at the `index`th position in the `ByteList`.
  Throws:
    `org.apache.xerces.xs.XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.